Results 1 to 3 of 3

Thread: Problems with compiling Allegro in OpenSUSE 13.1

  1. #1

    Default Problems with compiling Allegro in OpenSUSE 13.1

    Hello! I'm trying to compile allegro-5.0.10. First I installed some packages by command:

    Code:
    zypper install cmake build irrlicht-devel libvorbis-devel libbz2-devel libpng12-devel libjpeg8-devel libXxf86vm-devel sqlite3-devel libogg-devel irrlicht-data gcc gcc-c++ openal-soft-devel Mesa-libGL-devel
    Then according to the official instructions I create subfolder Build in the folder allegro-* and goto in it and then execute command:

    Code:
    cmake ..
    After this step the following error were found:

    Code:
    -- Allowing GCC to use SSE instructions
    CMake Error at CMakeLists.txt:570 (message):
      X11 support requires Xcursor library.
    
    
    -- Configuring incomplete, errors occurred!
    Unfortunately, package Xcursor does not exist in the OpenSUSE 13.1 repositories and I don't know where to get it.

    Please tell me what I should do.

  2. #2

    Default Re: Problems with compiling Allegro in OpenSUSE 13.1

    Are you aware version 5.1.7 is available from the "games" repository on the OBS (Open Build Service) ??

    http://software.opensuse.org/package/allegro

  3. #3

    Default Re: Problems with compiling Allegro in OpenSUSE 13.1

    Quote Originally Posted by danildushistov View Post
    Unfortunately, package Xcursor does not exist in the OpenSUSE 13.1 repositories and I don't know where to get it.
    The package is called libXcursor1. For compiling against it you need to install libXcursor-devel.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •